"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_types_1 = require("@hint/utils-types");
const hint_scope_1 = require("hint/dist/src/lib/enums/hint-scope");
const i18n_import_1 = require("./i18n.import");
const meta = {
    docs: {
        category: utils_types_1.Category.performance,
        description: i18n_import_1.getMessage('description', 'en'),
        name: i18n_import_1.getMessage('name', 'en')
    },
    getDescription(language) {
        return i18n_import_1.getMessage('description', language);
    },
    getName(language) {
        return i18n_import_1.getMessage('name', language);
    },
    id: 'http-cache',
    schema: [{
            additionalProperties: false,
            definitions: {
                'string-array': {
                    items: { type: 'string' },
                    minItems: 1,
                    type: 'array',
                    uniqueItems: true
                }
            },
            properties: {
                maxAgeResource: { type: 'number' },
                maxAgeTarget: { type: 'number' },
                revvingPatterns: { $ref: '#/definitions/string-array' }
            }
        }],
    scope: hint_scope_1.HintScope.site
};
exports.default = meta;
